Skip to main content
GET
List KYC Evaluations

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

apply_type
string

Type of KYC waterfall. One of: personal, business. Filterable.

kyc_product_id
string

ID of the KYC product used to evaluate the object. Optional — if omitted, the system will use the organization's default KYC product for the given object_type. Returns 404 if no default product is configured for the org. Filterable.

object_id
string

ID of the object (a person application or business application) for the KYC evaluation. Filterable.

object_type
string

One of: person, business. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size kyc elements, starting after the kyc described by page_cursor. If no more kycs are available, the resulting list will be empty.

data
object[]